%define upstream_name    Net-DAAP-DMAP
%define upstream_version 1.27

%global __requires_exclude perl\\(Math::Bigint\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Perl module for reading and writing DAAP structures
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Perl module for reading and writing DAAP structures.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes y | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

#check
#make test

%install
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%doc Changes META.yml MYMETA.yml
%doc %{_mandir}/man3/*
%{perl_vendorlib}/Net/DAAP/DMAP.pm


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.270.0-8.mga6
+ Revision: 1031029
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.270.0-7.mga6
+ Revision: 939710
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.270.0-6.mga5
+ Revision: 743039
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.270.0-5.mga5
+ Revision: 685633
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.270.0-4.mga4
+ Revision: 513376
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.270.0-3.mga3
+ Revision: 370510
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 1.270.0-2.mga2
+ Revision: 220179
- remove bogus requires

* Wed Jan 25 2012 jquelin <jquelin> 1.270.0-1.mga2
+ Revision: 201125
- update to 1.27

* Thu Jan 20 2011 jquelin <jquelin> 1.260.0-1.mga1
+ Revision: 26678
- mageia rebuild
- imported package perl-Net-DAAP-DMAP


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.260.0-1mdv2010.0
+ Revision: 404068
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.26-4mdv2009.0
+ Revision: 258004
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.26-3mdv2009.0
+ Revision: 246057
- rebuild

* Sun Mar 23 2008 Stefan van der Eijk <stefan@mandriva.org> 1.26-1mdv2008.1
+ Revision: 189543
- spec file fixes
- fix Group
- import perl-Net-DAAP-DMAP


